> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/set-rasconnectionbrokerpriority.md).

# Set-RASConnectionBrokerPriority

## NAME

Set-RASConnectionBrokerPriority

## SYNOPSIS

Change the priority of a RAS Connection Broker server.

## SYNTAX

**Set-RASConnectionBrokerPriority** \[[Id](#id-string)] *(uint)* -[Direction](#direction-string) {Up | Down} \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

**Set-RASConnectionBrokerPriority** \[-[InputObject](#inputobject)] *(*[*ConnectionBroker*](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md)*)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*] \*\*

**Set-RASConnectionBrokerPriority** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Direction](#direction-string) {Up | Down} \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

## DESCRIPTION

Changes the priority of a RAS Connection Broker by moving it up or down in the priority list.

## PARAMETERS

## Server (string)

The name of the RAS Connection Broker server.

This must be the actual server name used in the Parallels RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID of the RAS Connection Broker server.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RAS Connection Broker server.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([ConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md))

An object of type Broker representing the RAS Connection Broker.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Direction ([MoveDirection](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/movedirection.md))

The direction to move the Broker object: Up or Down (changes the priority of the Connection Broker accordingly).

Possible values: Up, Down

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[ConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md)

## OUTPUTS

-none-

**---------- EXAMPLE 1 ----------**

Set-RASConnectionBrokerPriority -Id 5 -Direction Up

Changes the priority of the specified (by ID) RAS Connection Broker server (moving 1 priority up).\
**---------- EXAMPLE 2 ----------**

Set-RASConnectionBrokerPriority -InputObject $Broker -Direction Down

Changes the priority of the specified (by InputObject) RAS Connection Broker server (moving 1 priority down).

## RELATED LINKS

* [Get-RASConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/get-rasconnectionbroker.md)
* [Invoke-RASConnectionBrokerPromoteToPrimary](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/invoke-rasconnectionbrokerpromotetoprimary.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/set-rasconnectionbrokerpriority.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
